View Issue Details

IDProjectCategoryView StatusLast Update
0036070LazarusLCLpublic2019-11-12 22:20
ReporterdonovalyAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version2.0.4Product Build 
Target VersionFixed in Version 
Summary0036070: AutoSize property of TGroupBox does not work for TLabeledEdit
Description- create at GroupBox
- create a new TLabeledEdit inside the GroupBox
- now enable the GroupBox property AutoSize

result: the size of the GroupBox is too small and the label of the edit is above the GroupBox caption. So the problem is that the AutoSize does not take into account that the label needs space too.
TagsNo tags attached.
Fixed in Revision
LazTarget
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0036291 resolvedOndrej Pokorny Anchors editor and TLabeledEdit 

Activities

Bart Broersma

2019-09-12 19:08

developer   ~0118053

TLabeled edit is a composite control.
It does not report it's height correctly (it simplye returns the heigt of the edit).
An approach like that of TEditButton would probably fix this.
Maybe TLabeledEdit can be rebased to inherit from TCustomAbstractGroupedEdit, but currently this only allows it "buddy" to be to the left or the right, not above or below.

donovaly

2019-10-22 01:18

reporter   ~0118766

> but currently this only allows it "buddy" to be to the left or the right, not above or below.

OK.
So please close this report or make it an enhancement.

Bart Broersma

2019-10-22 15:09

developer   ~0118772

Feel free to post a patch.

Ondrej Pokorny

2019-10-25 01:49

developer   ~0118796

TLabeledEdit shouldn't be changed. (Well, a new composite control with a new name may be introduced.)

If you use separate TLabel and TEdit, the autosize works fine.

Bart Broersma

2019-11-11 22:29

developer   ~0119232

> TLabeledEdit shouldn't be changed.
In that case this cannot be fixed AFAICS.

Ondrej Pokorny

2019-11-12 22:20

developer   ~0119243

I can imagine that this probably could be fixed. It's a different scenario than 0036291.

In 0036291 the anchors apply only to the edit part of TLabeledEdit, whereas here both the label and edit are placed inside the same parent, so the parent's AutoSize should be able to handle them.

Issue History

Date Modified Username Field Change
2019-09-12 18:38 donovaly New Issue
2019-09-12 19:08 Bart Broersma Note Added: 0118053
2019-10-22 01:18 donovaly Note Added: 0118766
2019-10-22 15:09 Bart Broersma Note Added: 0118772
2019-10-25 01:49 Ondrej Pokorny Note Added: 0118796
2019-11-11 14:29 Juha Manninen Relationship added related to 0036291
2019-11-11 22:29 Bart Broersma Note Added: 0119232
2019-11-12 22:20 Ondrej Pokorny Note Added: 0119243